/*
 * libfeedback
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __COMMON_H__
#define __COMMON_H__

#include <stdbool.h>
#include <errno.h>
#include <mm_sound_private.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @file common.h
 * @brief This file contains the common information
 */

#ifndef __CONSTRUCTOR__
#define __CONSTRUCTOR__ __attribute__ ((constructor))
#endif

#ifndef __DESTRUCTOR__
#define __DESTRUCTOR__ __attribute__ ((destructor))
#endif

#define FEEDBACK_DATA_DIR                      FEEDBACK_SYS_SHARE"/feedback"
#define FEEDBACK_ORIGIN_DATA_DIR	FEEDBACK_SYS_RO_SHARE"/feedback"

#define FEEDBACK_RETRY_CNT       1

#define DEFAULT_VIB_LEVEL       3

#define ARR_SIZE(arr) (sizeof(arr)/sizeof((arr)[0]))
#define FEEDBACK_LEVEL(x)   ((x)? ((x/2)+1): 0)

int is_sound_mode(void);
int is_touch_sndstatus(void);
int is_keytone_sndstatus(void);
int is_vibration_mode(void);

#ifdef __cplusplus
}
#endif

#endif
