/*
 * libfeedback
 * Copyright (c) 2015 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SOUND_THEME_MANAGER_H__
#define __SOUND_THEME_MANAGER_H__

#include "feedback-ids.h"

struct sound_pattern_data {
	const char *path;
	int priority;
};

bool sound_thememan_is_sound_theme_id_exist(unsigned int sound_theme_id);
void sound_thememan_set_default_sound_theme_id(unsigned int sound_theme_id);
void sound_thememan_get_default_sound_theme_id(unsigned int *sound_theme_id);
int sound_thememan_get_pattern_data(unsigned int sound_theme_id, feedback_pattern_e pattern,
						void *sound_pattern_data);
int sound_thememan_get_number_of_theme(unsigned int *number_of_theme);
int sound_thememan_add_sound_theme(unsigned int sound_theme_id, const char* conf_file_path);
int sound_thememan_get_sound_theme_ids(unsigned int *count_of_theme, unsigned int **sound_theme_ids);
int sound_thememan_init(void);
void sound_thememan_exit(void);

#endif